Page MenuHomePhabricator

rust-status: update rust-cpython bridge to account for the changes in core
ClosedPublic

Authored by Alphare on Jan 17 2020, 11:53 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jan 17 2020, 11:53 AM
Alphare updated this revision to Diff 19948.Feb 6 2020, 10:16 AM
kevincox accepted this revision.Feb 10 2020, 10:58 AM
kevincox added inline comments.
rust/hg-cpython/src/dirstate/status.rs
75

This should probably be a method on BadType.

Alphare marked an inline comment as done.Feb 10 2020, 11:25 AM
Alphare updated this revision to Diff 20049.Feb 10 2020, 11:30 AM
Alphare updated this revision to Diff 20158.Feb 11 2020, 5:55 AM
Alphare updated this revision to Diff 20189.Feb 13 2020, 12:37 PM
Alphare updated this revision to Diff 20455.Mar 4 2020, 10:08 AM
Alphare updated this revision to Diff 20463.Mar 4 2020, 11:55 AM
Alphare updated this revision to Diff 20498.Mar 5 2020, 3:33 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.